Ftool
 Interactive-Graphics Program for Structural Analysis
Version 4.00

Download of Ftool

Site of Ftool: www.ftool.com.br

Ftool Authorship

Download Manuals

  • Download of this guidebook in CHM (Compiled HTML Help, in English).
  • Download of this guidebook in PDF (in English).
  • Download of tutorial (PDF format, in English) and example file for the creation and analysis of a simple frame with Ftool.
  • Download of tutorial (PDF format, in English) and example file for the creation and analysis of a truss with Ftool.
  • Download of tutorial (PDF format, in English) and example file for the creation of a bridge model with two load-trains and visualization of critical load-train positions along influence lines and of internal force envelopes with Ftool .


File Operations

The File Menu

The drop down File menu controls file operations in Ftool.

The File menu allows the user to:

  • About Ftool: Get information about current version of program and authorship (see Ftool Authorship)
  • Upgrade...: Upgrade to an advanced edition of Ftool (see Advanced Edition);
  • Sign Convention: Show the Sign Convention for the internal processing associated with Ftool (see Sign Convention for Internal Forces and Moments);
  • New: Create a new model;
  • Open: Open a model from an existing file on a disk. Ftool uses the extension ".ftl" in its model files;
  • Save/Save as: Save the current model in a file with the same name or under a different name;
  • Import Properties: Import all the global parameters (units system, visualization parameters, etc.) and attributes (property of materials and section tables, etc.) that exist in another ".ftl" file. Attribute tables can also be imported separately (see Node and Member Attributes and Loads);
  • Export Line Results:Export results (internal force diagrams, deformed configuration, influence lines, or internal force envelopes due to static loads or load-trains) along a chain of selected members to a file. These options are only enabled when visualizing results.
    • Step Values: Results saved using the step specified for visualizing results (see Numerical Display of Results);
    • Display Resolution: Results saved with step used to display diagrams on the screen;
  • Export Screen: Print images from the screen or export them to the Windows transfer area (Clipboard) or to files with specific formats;
  • Totals: Verify the total number of members and nodes in the model;
  • Limits: Establish the limits of the work window;
  • Exit: Quit the program.

The most commonly used commands in the File menu are arranged in a toolbar at the top of the screen:

Exporting screen display images through the Clipboard

For best results, follow these steps:

  • Choose the option Export Screen/Clipboard in the File menu, press the [image] key, or press Ctrl+C. This will copy all images on the main screen (not just what is currently selected).
  • Open the program into which you want to import the image, MS-Word for example. In MS-Word for versions, select option Paste in menu Edit or press CTRL+V. In Windows, it is possible to choose the option Paste Special, then, the option Picture (Windows Metafile) or the option Picture (Enhanced Metafile).
  • Edit the pasted figure. You can make the lines thicker (1/2 pt or 3/4 pt are good options), change the colors of lines, etc.
  • If you are printing to a black and white printer, best results are obtained if the option Display > Black Foreground is selected before exporting the image.


Model Creation and Manipulation

The Edit Toolbar

The Edit toolbar groups the buttons for the creation and modification of the model.

For the insertion of members, nodes, or dimension lines in Ftool, the program automatically snaps the mouse cursor to an existing unit (a node or a member). The creation process can be facilitated by enabling a Grid of points and using the Snap feature. (See Visualization Controls - Coordinate Control).

Members and Nodes

Member and node creation is straightforward. To insert a member, select the button [image] and click on two points within the model display area. Nodes are created instantly at the ends of the member. If the inserted member intersects an existing one, a new node at the intersection of the two members is created utomatically and the two members are automatically subdivided.

In the same way, a node is created by selecting the button [image] and clicking with the mouse at a point within the model display area. If the clicked point is on an existing member, the member is divided in two members with insertion of the new node.

The insertion of "lines" with the mouse for creation of members is made with two clicks: one for the first node of the member and the next click for the second node. Usually the creation of lines using a mouse follows the rule "press button - drag mouse – release button". The "two clicks" method used in Ftool allows the user to stop the insertion of members after the first point by clicking with the right mouse button or by pressing Esc on the keyboard. This type of method also allows the user to zoom in or move the drawing window after entering the first node and before entering with the second, etc.

The coordinates of the mouse cursor position are indicated in a text box located in the bottom of the screen. (see Visualization Controls - Coordinate Control). While a member is inserted, prior to the second mouse click, a message bar on the top of the screen displays the member length.

Creation of Dimension Lines

Dimension Lines are auxiliary lines used to indicate distances on the structural model. To insert a dimension line, select the button [image] in the Edit toolbar and click three points on the screen. The two first points are the control points to specify the distance to be listed by the dimension. The third point defines where the dimension line will be located. During the construction of the line, the program updates the dimension line on the screen until the user enters the third point.

The creation of a dimension line through the "three clicks" method allows the user to suspend the insertion of the line before entering the final points, by clicking with the right mouse button or by pressing Esc on the keyboard. This type of interaction also allows the user to zoom in or to move the viewing window after entering the first point or the second point and before entering the third.

Keyboard Mode

The [image] button toggles keyboard mode. When it is active, when a user tries to create a member, node or dimension line with the methods described above, a dialog will appear where they can define the element’s desired coordinates. The Tolerance value is used for the "attraction" of existing nodes/members (never use null value for tolerance). When “OK” is clicked, the dialogs appear again, allowing the user to create yet another element. In the case of members, the new dialog appears with values which describe a collinear member of same length, therefore allowing for a quick creation of sequential collinear members.

Selection Mode

The button [image] turns on "selection" mode. In this mode, right-clicking the mouse on a member or node displays its attributes in a menu on the side of the screen. Use the left button to select an item (the program never allows members and nodes to be selected simultaneously).

The selection of a set of members or a set of nodes can be made by clicking the left button of mouse concurrently with the SHIFT key. With the key pressed, clicking on an already-selected element deselects it.

A set of members/nodes can also be selected by defining an enclosing rectangle. To do this, press and hold the left button of the mouse and drag it to define the rectangle. Release the mouse button to complete the rectangle. If the rectangle is drawn from left to right, it is red and all elements contained entirely in the rectangle are selected. If drawn from right to left, the rectangle is green and all elements either contained within or intersected by the rectangle are selected. If the SHIFT key is pressed and some elements are already selected, then only elements of the same type (beam or node) will be selected. Otherwise, the program first attempts to select members; if none are found, vertexes contained by the rectangle are then selected.

Once nodes and members are selected, actions can be executed upon them. To delete entities push the [image] button. To transform the selected entities, use the Transform button (see Transformations). The user can also apply attributes or loads to the selected members or nodes – this is discussed later.

Undo and Redo

The Undo option cancels previous actions. The Redo option re-executes the last cancelled action.

The following actions can be undone:

  • Creation or deletion of members, nodes and dimension lines;
  • Transformations of members, nodes and dimension lines;
  • Application of a property (member materials, cross-sections and deformation constraints, nodal supports and releases) to members or nodes;
  • Application of static loads (nodal concentrated forces, member end-moments, distributed and thermal loads);
  • Creation and deletion of load cases and combinations (Advanced Edition);
  • Modifications to a load combination (adding or removing included load cases or editing factors) (Advanced Edition).

The following actions reset the undo list (doing these will not allow the user to undo previous actions, including the action itself):

  • Deletion of properties and loads that were once applied to elements of the model;
  • Entering result-visualizing mode (actions such as transformations taken once already visualizing results enter the list).

The Redo button can only execute the last undone action. Therefore, if multiple actions are undone, all but the last action are lost.

Transformations

If the user selects the Transform button, the multi-purpose area to the right of the canvas presents the transformation options. If no object (member, node or dimension line) is selected, the area will be disabled. If the user selects one or more objects, the Enable Transform option becomes available for selection. Once triggered, the user may begin performing transformations on the selected objects.

Four transformations are available: translation (Move), rotation, scaling and mirroring. The desired transformation is defined by selecting the appropriate tab.

Transformations present three options, two of which are mutually exclusive. These are: to forbid the transformation from altering the structure’s topology (therefore forbidding new intersections, for example) (Maintain Topology), and to leave the original object (creating therefore a copy in the new position) (Leave Original). The user may choose to disable both options or to activate one – it is not possible for both to be selected simultaneously. If Maintain Topology is selected, the user may not perform mirroring transformations. Another option is to deselect all objects after the transformation (Deselect after transform). By default, this option is disabled, meaning that objects will remain selected after the transformation.

Transformations may be performed either by mouse or keyboard. The "keyboard mode" defined on the column to the left of the canvas is not relevant for transformations. The operation to be performed depends on the desired transformation:

  • Translation:
    • Mouse: The user clicks once on the canvas to define the origin of the translation, drags the mouse and then clicks once more to define the end of the translation.
    • Keyboard: The user defines the horizontal (DX) and vertical (DY) translation and then clicks the Forwards button to apply the transformation.
  • Rotation:
    • Mouse: The user clicks once to define the origin of the rotation, drags the mouse, clicks again to define the beginning of the rotation arc, drags the mouse, and clicks once more to define the end of the arc (and therefore the angle of rotation).
    • Keyboard: The user defines the coordinates of the center of rotation (X and Y) and the angle and then clicks the Forwards button to apply the transformation.
  • Scaling:
    • Mouse: The user clicks once to define the origin of the scaling, drags the mouse, clicks again to define a reference vector, drags the mouse, and then clicks once more to define the transformed vector and therefore the scaling factor (equal to the ratio of the lengths of the transformed and reference vectors).
    • Keyboard: The user defines the coordinates of the scaling center (X and Y) and the scaling fator and then clicks the Forwards button to apply the transformation.
  • Mirroring:
    • Mouse: The user clicks once to define a point, drags the mouse, and then clicks once again to define the mirroring line.
    • Keyboard: The user defines the coordinates of two points along the mirroring line (X1, Y1, X2 and Y2) and then clicks the Forwards button to apply the transformation.

Another available option when performing transformations with the keyboard is to use the Back button, which applies the inverse transformation (for example, if the user defines a 15° rotation and clicks Back, the rotation will be of -15°).

If Maintain Topology is disabled, when performing transformations with the mouse the user will see a feedback which displays the final positions of the transformed objects. The objects themselves, however, are not modified until the end of the transformation. However, if Maintain Topology is selected, the objects are transformed immediately and therefore "follow" the mouse. With this option selected, it is suggested that the user move the mouse slowly.

Every transformation must respect a given tolerance. If the transformation is defined via the keyboard, the adopted tolerance must be defined in the given textbox. In this case, the default tolerance is equal to the smallest possible value for the current length format (1, 0.1, 0.01, 0.001, etc) or, in the case of exponential formats, 1.0e-4. For more details regarding numbering formats, see Configurations - Formatting Units and Numbers. If the transformation is done via the mouse, the Tolerance textbox is ignored and the tolerance is defined internally as a function of the zoom scale of the canvas.

With one of the textboxes (translation’s DX or DY, for example) selected, one may also use the following keyboard shortcuts: Enter to apply the current transformation or Ctrl+Enter for the inverse transformation.

Transformations may also be done while displaying static results, the structure’s deformed configuration or influence lines. In these cases, the transformation must maintain the structure’s topology. All diagrams are automatically updated maintaining their scale. See the relevant subsections in Results for further details.

Another available transformation is to modify member orientations (Invert member orientation). When members are selected (while not displaying results), this option becomes available and allows the member orientations to be inverted. This option can be useful when dealing with loads applied in the members’ local axes.


Visualization Controls

The Visualization Control Toolbar

This toolbar groups all the controls for the model visualization window.

The option to Fit and center on the screen scales the structure image to fill the screen. The scale of the image on the screen can be modified in several ways, the first of which zooms based on a defined zoom rectangle (Define a rectangle to focus the display). The entry of two opposing corners of the zoom rectangle is completed with "two clicks" of the mouse. The "two clicks" approach permits the user to cancel the visualization area after the first point of the rectangle by clicking with the right button of the mouse or by pressing Esc. If the two mouse clicks are at the same point on the screen there will be a "central" zoom at this point. The Zoom In icon increases the size of the model on the screen, while Zoom Out button decreases the size. The dial at the base of the toolbar allows for real-time zoom control of the model.

Coordinate Control

In this toolbar at the bottom of the display, the H and V text fields show the size of the visualization window and enable the user to alter these values. The X and Y fields show the position of the cursor in the screen. The Grid check box enables the option to display a grid of points on the screen, and the Snap check box activates the "attraction" of the cursor to the points of the grid.

The Display Menu

This menu lists all the items that may be displayed. The user can choose the background color, for example. A check mark indicates the display quantity is active. Just click on list items with the mouse. For each background color selected there are different colors related to the members and nodes of the model. Another option here is to work with all the members of the model in black and white. Thus the image of the model can be printed effectively on a black and white printer. Furthermore, it is possible to specify which attributes should be shown on the screen during the use of the program. It is important to emphasize that certain options are only applied to pre-processing and others only to post-processing.


Configurations

The Options Menu

In Ftool it is possible to configure:

  • Sizes of supports, hinges, loads, and text in the display of a model on the screen;
  • Option to consider or not static load results in the calculation of envelopes of internal forces due to load-trains;
  • Option to save auxiliary file (extension ".pos") that is used internally to link the program with is analysis module (solver). By default, this option is not activated, and it is reset when a new model is initialized or open from file.
  • Unit systems and the format for numerical values.

Analysis type

In the current version of Ftool, the only type of analysis is linear-elastic:

Sizes of supports, hinges, loads, and text in the display

There are itens in Options menu that allow the configuration of sizes of supports, hinges, loads, and text in the display of a model on the screen:

For each type of entity, display size may be Small, Medium, or Large. An example of the results of this display size configuration may be seen in the model of a bridge:

Superposition of static load and load-train results

Ftool, by default, adds static load effects to the calculation of internal force envelopes due to load-trains. This option may be deactivated through one item of Options menu. The default configuration is reset when a new model is created or opened from a file.

Solver file

Ftool has an internal module to perform the analysis (solver) of current model. It is possible to save an auxiliary file with the data that is passed to the analysis module. In version previous to version 3.00, this file was the only option to feed the analysis. After version 3.00, this communication is done through RAM memory. However, there is an item in the Options menu that allows this file to be saved. The file has the same name as the current model file name, but with the extension ".pos". This option is deactivated when a new model is created or open from a file.

Formatting Units and Numbers

Through the sub-menu Units & Number Formatting, the user selects physical units for parameters used in the structural analysis and the format for the display of numerical values for these parameters. Options exist to specify units in SI (International System), US (American System), or units in kilo-Newtons and meters. To specify a system of units and the display format, select the corresponding button at the top of the box. The user can always switch the system of units or formatting as needed during an analysis.

Unit Systems

The following tables show the unit systems implemented in Ftool for each parameter and the corresponding factors of conversion for the units used internally by the program (indicated in bold-face).

The first unit of each parameter appears automatically when the user selects SI units (International System) or US units (American System).

The conversions for units that have ton-force (tf) are:
1 tf = 103 kg×g

The gravity acceleration adopted is g = 9.81 m/seg2.

Pascal Units:
1 Pa = 1 N/m2
1 kPa = 103 N/m2 = 1 kN/m2
1 MPa = 106 N/m2 = 103 kN/m2 = 1 N/mm 2
1 GPa = 109 N/m2 = 106 kN/m2 = 1 kN/mm2

Parameter

SI units

US units

Symbol | Name | Factor of | Symbol | Name | Fator da
ref. SI unit | ref. SI unit
Distance | m | meter | 1.0 | ft | foot | 0.3048
and Length | cm | centimeter | 0.01 | in | inch | 0.0254
mm | millimeter | 0.001
Displacement | mm | millimeter | 0.001 | in | inch | 0.0254
cm | centimeter | 0.01 | ft | foot | 0.3048
m | meter | 1.0
Rotation | rad | radian | 1.0 | rad | radian | 1.0
deg | degree | p/180.0 | deg | degree | p/180.0
mm | millimeter | 0.001 | in | inch | 0.0254
Seção | cm | centimeter | 0.01 | ft | foot | 0.3048
m | meter | 1.0
Section Area | mm2 | 0.000001 | in2 | inch2 | 0.02542
cm2 | 0.0001 | ft2 | foot2 | 0.30482
m2 | 1.0
Section inertia | mm4 | 1.0e-12 | in4 | inch4 | 0.02544
cm4 | 1.0e-08 | ft4 | foot4 | 0.30484
m4 | 1.0
Force | kN | kilo-Newton | 1.0 | kip | kilo-pound | 4.448
N | Newton | 0.001 | lb | pound | 0.004448
tf | ton (weight) | 9.81
Moment | kNm | 1.0 | ft-k | kip×foot | 1.356
Nm | 0.001 | ft-lb | foot×pound | 0.001356
tfm | 9.81 | in-k | inch×kip | 0.11298
kNcm | 0.01 | in-lb | inch×pound | 0.00011298
Ncm | 0.00001
tfcm | 0.0981
kNmm | 0.001
Nmm | 0.000001
tfmm | 0.00981
Distributed | kN/m | 1.0 | k/ft | kip/foot | 14.593
Load | N/m | 0.001 | lb/ft | pound/foot | 0.014593
tf/m | 9.81 | k/in | kip/inch | 175.1
kN/cm | 100.0 | lb/in | pound/inch | 0.1751
N/cm | 0.1
tf/cm | 981.0
kN/mm | 1000.0
N/mm | 1.0
tf/mm | 9810.0
Temperature | °C | centigrade | 1.0 | °F | Fahrenheit | (T-32)×5/9
Elasticity | MPa | mega-Pascal | 1000.0 | ksi | kip/inch2 | 6895.0
Modulus | GPa | giga-Pascal | 1000000.0 | psi | pound/inch2 | 6.895
tf/mm2 | 9810000.0 | k/ft2 | kip/foot2 | 47.878
N/cm2 | 10.0 | lb/ft2 | pound/foot2 | 0.047878
kN/cm2 | 10000.0
tf/cm2 | 98100.0
Pa | Pascal (N/m2) | 0.001
kN/m2 | kilo-Pascal | 1.0
tf/m2 | 9.81
Specific Weight | kN/m3 | 1.0 | pcf | pound/foot3 | 0.1571
N/m3 | 0.001 | k/ft3 | kip/foot3 | 157.1
tf/m3 | 9.81 | lb/in3 | pound/inch3 | 271.434
kN/cm3 | 1000000.0 | k/in3 | kip/inch3 | 271434.0
N/cm3 | 1000.0
tf/cm3 | 9810000.0
kN/mm3 | 1.0e+09
N/mm3 | 1000000.0
tf/mm3 | 9.81e+09
Thermal Expan. | 1/°C | 1.0 | 1/°F | 1.8
Translational | kN/m | 1.0 | k/ft | kip/foot | 14.593
Spring | N/m | 0.001 | lb/ft | pound/foot | 0.014593
Stiffness | tf/m | 9.81 | k/in | kip/inch | 175.1
kN/cm | 100.0 | lb/in | pound/inch | 0.1751
N/cm | 0.1
tf/cm | 981.0
kN/mm | 1000.0
N/mm | 1.0
tf/mm | 9810.0
Rotational | kNm/rad | 1.0 | ft-k/rad | foot×kip/rad | 1.356
Spring | Nm/rad | 0.001 | ft-lb/rad | foot×pound/rad | 0.001356
Stiffness | tfm/rad | 9.81 | in-k/rad | inch×kip/rad | 0.11298
kNcm/rad | 0.01 | in-lb/rad | inch×pound/rad | 0.00011298
Ncm/rad | 0.00001 | ft-k/deg | foot×kip/deg | 244.08/p
tfcm/rad | 0.0981 | ft-lb/deg | foot×pound/deg | 0.24408/p
kNm/rad | 0.001 | in-k/deg | inch×kip/deg | 20.3364/p
Nm/rad | 0.000001 | in-lb/deg | inch×pound/deg | 0.0203364/p
tfm/rad | 0.00981
kNm/deg | 180.0/p
Nm/deg | 0.18/p
tfm/deg | 1765.8/p
kNcm/deg | 1.8/p
Ncm/deg | 0.0018/p
tfcm/deg | 17.658/p
kNm/deg | 0.18/p
Nm/deg | 0.00018/p
tfm/deg | 1.7658/p


Node and Member Attributes

Control of Node and Member Attributes

The buttons of this toolbar display a set of sub-menus to create and assign properties for nodes and members of the model. These sub-menus appear along the side of the screen.

Features common to sub-menus

Sub-menus for manipulation of the material parameters, member cross-section properties and values of loads all have common features. The drop-down list (next figure) selects a set of properties that is defined by a unique name. These property values are automatically shown in the sub-menus for editing.

The icons shown in the next figure allow the user to manage these property sets.

To create a new set of properties, select the button [image] and assign the new set a unique name. The button [image] imports a list of property sets from another file generated by Ftool. Duplicate property sets in the imported file are ignored. The internal function that compresses the property sets just eliminates those which are not in use in the current model.

Material Parameters

To create a new set of material parameters, select button [image] and specify a unique name (figure below to the left). Default values of material parameters are available for a generic isotropic material, steel, concrete or aluminum.

Material parameters include Young’s modulus (elasticity modulus E), Poisson’s ratio (ν) – used for members with shear deformation, and coefficient of thermal expansion (α) – used in case temperature loadings are applied.

Member Section Properties

The button [image] creates a new set of cross-section properties. Available section types are shown. One of the following must be selected:

Based on the type of section selected, the parameters that define the features of that section are then defined along the side of the screen under the schematic drawing. There are basically two types of sections: parameterized (including the generic sections) and tabulated.

In the case of parameterized sections, the cross-section’s parameters must be defined. In the case of the Generic section (shown here) the parameters listed are the following geometric properties:

  • A: area
  • As: effective shear area
  • I: moment of inertia (second moment of the area)
  • d: section depth
  • y̅: centroid position

Each property must be non-zero:

  • A: for members with axial deformation
  • As: for members with shear deformation
  • I: always
  • d and y̅: for members with thermal loads

For other parameterized sections, the user defines the section’s dimensions (such as width and height), and its geometric properties are automatically calculated. All dimensions are required but may be equal to zero (so long as the requisite geometric properties are non-zero).

In the case of profile tables, the user need only select the desired profile.

In the case of the section type Profile - Welded-I (BR),
choose the type of profile (Beam, Column or Beam-
Column) and the section depth group, d. Then use the
arrow buttons to choose the desired profile within that
depth group.

Ftool contains data from NBR standard profiles, as well as tabulated profiles from different manu-facturers. The user only needs to select specific requirements via the drop-down lists.

Depending on the chosen section type, (all, none or some of) the buttons [image] [image] [image] [image] will be available. The buttons [image] [image] mirror the section around its vertical and horizontal axes, respectively. The buttons [image] [image] rotate the section counter-clockwise and clockwise, respectively.

Support Conditions

Through this submenu, the user defines constraints on components of displacements in the x and y directions and the rotation around the z-axis. The support orientation angle (for skew supports) is also defined, as well as any prescribed values of displacement or rotation. Non-rigid supports may be modeled by specifying values for corresponding stiffness of linear-elastic springs.

Connection of Member Ends to Nodes

This sub-menu allows the user to introduce hinges at member ends or at the model nodes. By default, members are rigidly connected to the structure nodes.

Constraints on Member Deformations

This sub-menu restricts deformations within members. There are two exclusive main options: flexible member and infinitely rigid member. For flexible member, there are two non-exclusive options: toggle for axial deformation and toggle for shear deformation. When a new model is created, the default toggle options are flexible member with axial deformation of with no shear deformation. If a model is read from a file, and all its members have shear deformation allowed, the shear deformation toggle is set on.


Defining the Applied Loads

The Load Control Toolbar

Sub-menus are also available to define or modify various nodal and member loadings. These sub-menus appear along the side of the screen. The types of loads available are the following: concentrated loads at nodes, moments applied at nodes, moments applied at the ends of members, uniformly or linearly distributed loads along members, variations of temperature applied to members, and global load-trains (live load for bridges).

The Load case and Load combination menu buttons are only active in the Advanced Edition (see Advanced Edition).

General Information

  • Load Definition
    The loads definition system follows the same procedures as the one that defines member properties. A type of load associated with a user-supplied name is created and added to the corresponding load list. The figure below shows a drop-down list of distributed loads defined by the user in a specific analysis. The values of load associated with the selected name are automatically displayed in the fields of submenu and can be edited.

    The icons shown in the figure below are used to manipulate the load in a list:

    The current load will be applied to the selected elements (members or nodes). The members of interest must be selected and the load is applied through the button [image] for members, or the button [image] for the nodes.

  • Coordinate System in Ftool
    There is a system of structural global axes in Ftool and a system of local axes for each one of the members. In the global system, the global X-axis is horizontal and positive from left to right; the global Y-axis is vertical and positive from the bottom to the top; and the global Z-axis is always positive outward from the display. In a member’s local coordinate system, the local x-axis coincides with the longitudinal axis of the member, with the positive direction following creation of the member; that is, from the initial node to the end node. The local x-axis direction can be displayed by selecting the Member Orientation option in the Display menu (see Visualization Controls - The Display Menu). The local y-axis is perpendicular to the x-axis. The z-axis for a member is always positive outward from the display. The positive direction of local y then follows the right-hand rule of vector cross products: y = z × x.

  • Application of concentrated loads
    Concentrated loads (forces and moments) can be applied only on nodes of the structure. Of course concentrated loads could be applied along the span of a member. However, for user-interface simplicity, it was adopted a police of only applying concentrated loads at nodes. If it is necessary to apply a concentrated load on a member, insert a new node at the desired position, thereby dividing the member into two members. Concentrated loads are always applied in directions of the global axes of the structure, positive when the forces have directions of the global axis, and negative when they have the opposite direction. Positive concentrated moments are applied in a counter-clockwise orientation.

  • Orientation for distributed member loads
    Distributed loads along a member may be specified in the framework of global coordinates or in the framework of member local coordinates. The loads are positive if they coincide with the direction of the global or local axes.

  • Partially distributed member loads
    New nodes can be introduced along a member to apply distributed loads that act on a portion of the member length. As for concentrated loads (see above), this is done for user-interface simplicity.

  • Load removal from nodes and members
    To remove a load from from selected nodes or members, select the first element (NONE) of the corresponding load drop-down list and apply this to the selected entities. In other words, "to remove a load from selected entities in Ftool is to apply nothing".The user may also use the [image] button.

Nodal Loads

This sub-menu allows the user to define the concentrated loads on structure nodes. It uses the global coordinate system.

Moments Acting on Member Ends

This sub-menu allows the user to define concentrated moments at the ends of members. Moments applied in a counterclockwise orientation are positive. "Ma" denotes the moment applied at the "initial" node of the member, while "Mb" is the moment applied at the "ending" node of the member.

Linear and Uniform Distributed Loads

This sub-menu allows the user to define linearly varying or uniformly distributed loads over a member. The user can specify the global or local member coordinate system for the loading direction.

Thermal Loads (Temperature Changes)

This sub-menu allows the user to define a linear temperature gradient over the member depth. The user specifies the temperature on the section’s top edge (i.e., on the positive side of local y-axis) and on the bottom edge (i.e., on negative side of local y-axis). Ftool must have access to the section depth to impose this loading – even for "generic" sections.

Load-Trains (Vehicle Live Loads for Bridges)

This sub-menu allows the creation of live loads (on bridges, for example) that are used to calculate envelopes of internal forces (see Results - Load-train Envelopes Toolbar). A load-train is composed of concentrated forces, uniformly distributed forces and live loads (representing the population of small vehicles on a bridge). Concentrated and distributed loads are assumed in the vertical top-bottom direction. Therefore, according to the sign convention of Ftool, all load values are negative. In case the user does not enter a negative sign for a load value, the program automatically changes the sign of this value.

The concentrated and distributed load matrices resize themselves automatically: once the user begins to fill out the last row of each matrix, a new row is created below it. Loads can be deleted by either setting the load values to zero or by selecting the desired rows and pressing the Delete key on the keyboard. The matrix will then also resize itself accordingly.

The currently selected load train may be defined with the dropdown list on the top-right corner of the program’s window. This dropdown list is only enabled when in either Influence Line or Load Train Envelope result modes and/or if in the load train definition menu.

  • Impact factor
    This is an amplification factor that multiplies globally all the effects of a load-train and allows the consideration of a dynamic effect on the structure. The value of this factor should be always greater than one.

  • Load-train length
    This extension length limits the application of concentrated, distributed and internal live loads.

  • Concentrated forces
    Load-train concentrated forces are specified using a matrix with two columns, with the following parameters:

    • x - position of concentrated force in relation to load-train beginning;
    • P - value of a concentrated force.

    It is not allowed to create more than one concentrated force at a single position, or outside the limits of the load train (specified by its length). To add a concentrated force to the current load-train, first enter the force position then its value. As other concentrated forces are inserted, they are ordered according to their position.

  • Uniformly distributed forces
    The matrix of distributed forces varies according to the type of load-train. In case of a load-train that has single values of distributed forces, the matrix has three columns for the following parameters:

    • xa - initial distributed force position in relation to load-train beginning;
    • xb - end distributed force position in relation to load-train beginning;
    • q - value of a distributed force.

    In case of a load-train that has full and empty cars, q becomes the value of the distributed force for a full car and the matrix has an additional column for the following parameter:

    • q’ - value of a distributed force for na empty car in a railroad load-train.

    Overlap of distributed forces is not allowed. Initial and end positions of distributed forces must be within the load-train extension (length). To add a distributed force to the load-train, first enter its initial and end positions then the load value(s). In the case of a railroad load-train, the first load value to be inserted is q and then q’. As other distributed forces are inserted, they are ordered according to their initial and end positions. When xa is greater than xb, or q is less than q’, these values are automatically inverted. It is possible to modify the type of load-train, even after distributed forces have been inserted. When transforming a load-train with single value distributed force to a load-train with double distributed load value, q’ is set equal to q.

  • Live loads
    There are two types of live loads that represent the population of small vehicles on a bridge:

    • Exterior: is applied outside the limits (length) of current load-train;
    • Interior: is applied within the limits (length) of current load-train.

    Live loads may be applied partially along the load-train path on the structure. The portions of the path on which live loads are applied depend on influence lines. These portions are defined to maximize or to minimize a target effect. The maximum value of an effect is obtained applying the live load only on the positive portions of the influence line of that effect; and the minimum value is obtained applying the live load only on the negative portions of the influence line.


Results

Result Modes

There are three modes for obtaining and visualizing analysis results for structures in Ftool. These are the Diagram, Influence Line, and Load-Train Envelope modes of operation. Select the desired mode of operation using the buttons on the results toolbars, as described below.

In Diagram and Load-Train Envelope modes, Ftool automatically analyzes the structure using the stiffness method to construct the requested diagrams. Just clicking on the appropriate button switches the display to show the desired result. In Influence Line mode, the program prompts the user to indicate a cross-section on a member to display the desired influence line.

If the Result Values display option is active (see The Display Menu), the diagrams will be plotted with printed nodal values. Local maxima and minima will also be printed if present. If the Step Values display option is active, values will be printed along the diagram according to the defined result step size.

Diagram Toolbar

Diagram result mode considers the visualization of internal force diagrams (axial forces, shear forces, bending moments) and deformed configuration under static loads.

For the deformed configuration diagram, the user must select which of the deflection components to print with the diagram: the rotation, horizontal or vertical displacement or none at all. The plotted diagram itself is the same regardless of the selected value.

To get numerical results of a diagram, move the mouse cursor to a position on a member and click the left mouse button. The desired values will be displayed on the top line message. Additional results may be consulted clicking the right mouse button. These results will be displayed on the lateral area of the screen (see Numerical Display of Results).

In this mode the user may apply transformations that do not alter the structure’s topology (see Transformations). To do so, the user must open the transformations window, select the desired objects and then apply the transformations. The results are automatically updated, maintaining their scale.

Influence Line Toolbar

In Influence Line mode, first click on a button for the desired type of influence line (e.g., shear force or bending moment). Then place the mouse cursor at some point along a member and click the left mouse button. Ftool imposes the required unit displacement or rotation discontinuity to create the desired influence line, which is displayed on the structural model. To display an influence line, the program ignores the applied loads on the structure. An influence line represents the effect of a unitary vertical force that traverses the members of the structure. The unitary force has always a vertical downward orientation, no matter the orientation of a member on which the force passes.

In case there is a currently selected load-train (vehicle live load for bridges), the critical positions of this load-train are displayed above and below the displayed influence line. These critical positions are the ones that cause the minimum (negative) and the maximum (positive) target result values on the desired cross-section. In this case, the influence line is displayed only along the members of the structure that belong to the load-train path.

When it is not possible to automatically define a load-train path of members along the structure, the program prompts the user to go selection mode and to select a group of members that form a continuous and smooth path for the load-train. When the user provides a valid load-train path, the program stores the corresponding group of members and the user will be prompt again to specify a load-train path only in case the model is modified.

As long as the button to select a cross-section (rightmost button of the toolbar) is active, Ftool displays a new influence line for each selected section. To avoid the selection of another section, deactivate this button. When this button is not active, point results along the influence line may be consulted by just selecting a target position using the left mouse button. The desired value will be displayed on the top message bar. Additional member results may be consulted using the right mouse button (see Numerical Display of Results).

In this mode, the user may apply transformations which do not alter the structure’s topology (see Editing - Transformations). To do so, the user must define an influence line for some point and then open the transformations window, select the desired objects and apply the transformations. The influence lines are automatically updated, maintaining their scale. Should one wish to then check another influence line, one should simply select the desired result (or the button to select a new section) from the menu once again. Should one wish to then apply new transformations (with the transformation window already open), one must press the Select button so as to allow for the selection of objects prior to their transformation.

Load-train Envelopes Toolbar

The Load-train Envelope mode is used to display envelopes of limiting internal force values along a structure under moving loads. Envelopes are diagrams of minimum and maximum values of an internal force (axial, shear or bending moment) for the current load-train (vehicle live load for bridges). If there is no current load-train, or if no load-train path is defined, the program does not activate the Load-train Envelope mode. The load-train path, if not automatically defined, has to be defined by the user selecting a continuous and smooth chain of members prior to getting an envelope result.

Envelopes of internal forces can be calculated adding the effects of static loads to the current load-train (vehicle live load) effects. The diagram of static internal forces due to static loads are displayed as dashed lines on the envelope image. In the Options menu (see Configurations - Superposition of static load and load-train results), there is an item to activate and deactivate the superposition of static and vehicle live load effects in the envelope calculation. By default, this superposition is activated. This option is reset when a new model is created or when a model is opened from a file.

The construction of the load-train envelopes interpolates minimum and maximum results calculated at cross-sections automatically selected along the members of the structure. For each selected section, Ftool builds the corresponding influence line and finds the critical positions of the current load-train that cause the minimum and maximum vales at that section. Envelopes are diagrams that linearly interpolate the minimum and maximum values calculated at the selected cross-sections. The same step used to build internal force diagrams, deformed configuration, or influence lines is adopted to select the cross-sections for the construction of the load-train envelopes. Should the relevant option be active (see above), the envelopes are then superimposed on the static load diagram.

Point results of load-train envelopes may be obtained by just selecting a target position using the left mouse button. The minimum and maximum values at that point are shown in the top message bar.

In this mode it is not possible to perform object transformations.

Sign Convention for Internal Forces and Moments

The sign convention for internal forces and moments can be displayed in the program by selecting the option Sign Convention on the File menu. A window appears on the screen which shows the sign convention. The user may alter the sign convention for resulting diagrams and influence lines.

  • Top and Bottom Fibers
    The sign convention for internal forces and moments depends on the definition of the "lower" and "upper" fibers of the members. In horizontal and inclined members, the lower fibers are in the bottom when looking at the screen with the vertical axis in its natural position (up). In vertical members, the lower fibers are on the right. The figure at the top of the sign convention display indicates lower fibers of a structure that contains members with all possible directions.

  • Sign Convention for Diagrams
    Ftool adopts the following convention for the signs of the internal forces and moments and for the drawing of diagrams:
    • Normal forces (axial):
      Normal positive forces are tension forces.

    • Shear forces:
      Shear forces on the diagram below are positive.

    • Bending Moments:
      The sign convention shown below is adopted: positive moments causing compression on the top fibers of members and tension on the bottom fibers. Bending moment diagrams may be displayed on the tension side (Brazilian convention) or on the compression side (common U.S.A. convention) of the members. Use the File → Sign Convention menu to select the "tension" or "compression" convention for the plotting of bending moment diagrams. When adopting the tension side option, positive bending moments are displayed on the bottom side; and, when adopting the compression side option, positive bending moments are displayed on the top side.

  • Plotting Influence Lines
    Influence Lines of internal forces in the selected sections follow the sign convention explained above. The standard for plotting influence lines can be defined in the sign convention sub-menu. There are two options: Plot positive influence line values on the bottom side of member, or influence line plot convention follows corresponding internal force diagram convention.
  • Plotting Envelopes:
    Each internal force and moment envelope follows the sign convention defined above for the corresponding diagram.

Scaling of Diagrams, Envelopes and Influence Lines

The internal force diagrams, deformed configuration, influence lines, and envelopes have a default initial scale on the screen to create a reasonable image. This scale can be modified using the slider bar at the left of buttons of the Results toolbars. Use the slider bar to modify the scaling of displayed diagrams as desired.

The scaling of the results may also be adjusted by the user editing its value on a text box in the top toolbar, between the load attribute buttons and the result scale slide. In Diagram and Load-train Envelope modes, the result scale factor is defined in terms of units of the corresponding internal force per unit of length. In the deformed configuration, the scale factor is a displacement amplification factor (Deformed Factor). In influence lines, the scale factor is an adimensional parameter that controls the influence line display scale in relation to the model.

The images on the following sections highlight the text box on the graphics interface that is used to edit the result scale factor and the buttons that are used to obtain the desired result visualization.

Deformed configuration
Axial force diagram | Shear force diagram | Bending moment diagram
Axial force influence line | Shear force influence line | Bending moment influence line
Axial force load-train envelopes | Shear force load-train envelopes | Bending moment load-train envelopes

Numerical Display of Results

In Diagram mode, clicking a point on a member with the mouse left button displays the value of the corresponding diagram for that point in the top message bar above the drawing area. In this mode, clicking a node with the mouse right button displays result information, such as displacements, rotation, or reaction forces, related to the selected node in the right-most area of the screen.

In Influence Line mode, if the option to select a new cross-section is NOT active, clicking a point on a member with the mouse left button displays the value of the corresponding influence line in the top message bar.

In Load-train Envelope mode, the minimum and maximum envelope values at the selected point are display in the top message bar.

In all the modes, if the right button of mouse is used, additional information related to the selected member results appears in the right-most area of the screen. If a step for the displayed result is defined through the Step Values option in the Display menu (see Visualization Controls - The Display Menu), the step results of the diagram for the selected member will be shown in this area.

The image below shows an example of the visualization of a bending moment diagram with step values indicated in the display and in the lateral area for the selected member.


Advanced Edition

Ftool has a commercially available advanced edition with additional features.

How to Upgrade

To access Ftool’s advanced edition, the user must first purchase a license. That can be done from the Ftool’s website after registering. Upon purchase, the user will receive an email with the license’s serial key. The serial can also be seen in the user’s account page on the Ftool website.

Clicking on File > Upgrade..., will open a dialog window where the serial key must be given. An internet connection is required for this operation, since the key will be validated by the Ftool servers.

After validating the new license, Ftool will close. Once reopened, it will initialize itself with the Advanced Edition. On subsequent uses, the program will open in the Advanced Edition so long as the license is valid. Every time it opens, Ftool will try to connect to its servers to validate the license. If the servers cannot be accessed due to a lack of an internet connection or some other reason, the program will keep working in the Advanced Edition for thirty days and/or ten uses of the program. That is, if the program is not used for a long time and then an attempt to use it cannot connect to the servers, the license will still be considered valid for the next ten uses.

When the serial key is validated, a file called Ftool.license is created in the same directory as the Ftool executable (Ftool.exe). This file must always be kept in the same folder as the executable. If the license file isn’t found, the program will revert to the free edition. The license is also bound to the current computer. If you wish to have the Advanced Edition in more than one computer, multiple licenses must be purchased.

Compatibility with Educational Edition

The save-files created by the Educational and Advanced Editions are the same and perfectly compatible. However, if the Advanced Edition is used to create a model with multiple load cases and/or load combinations and this model is then opened with the Educational Edition, a warning will appear informing the user that only the first load case will be accessible. The model may be modified, calculated and saved normally; the hidden load cases and combinations will not be lost.

User Default Configurations

The free edition of Ftool always opens with certain configurations: units in the SI system and values displayed with formats according to the Units and Number Formatting window, displaying dimension lines but not reactions, disabled grid, and so on. The Advanced Edition, however, allows the user to define these initial configurations easily.

To do so, the user must simply configure the program as they wish the program to be initialized and then go to Options > Save current properties as default. A popup will appear to confirm the operation. If confirmed, the properties will be saved in the file Ftool.properties and will already be used to reset the configurations if the user chooses to start a new model.

To return to the default values for all the configurations, simply select Options > Restore factory settings. Once again, a popup will appear to confirm the operation.

The Ftool.properties file is created in the same directory as the Ftool executable (Ftool.exe) as soon as the license is initially validated and must be kept in the same folder as the executable. If the file is not found, the factory default configurations will be adopted and a new Ftool.properties file will be created with these factory defaults.

The Ftool.properties file is quite self-explanatory, so users are invited to explore it to see all the options which may be configured. In summary, these include:

  • whether the grid is active, whether the mouse should snap to it, and its spacing;
  • whether to start in Keyboard Mode;
  • the desired result mode (diagram, influence line, etc);
  • the result step and whether it should be normalized;
  • whether to add static loads to the load train envelope;
  • whether to save the .POS file;
  • the background color;
  • what to display (dimension lines, reactions, loads, loads withresults, step values, etc);
  • the size to display supports, loads and text;
  • units and number formats.

Trapezoid Composition Cross-section

The Advanced Edition also includes a new cross-section, called "User-built". This section can be used to describe any polygonal cross-section that isn’t adequately represented by the parameterized sections. The user describes the section as a composition of trapezoids by defining each trapezoid’s height and top and bottom widths. The section is always symmetric around its natural vertical axis. As trapezoids are added, a to-scale sketch of the section is drawn, allowing the user to validate that the correct dimensions were inserted.

Since Ftool only uses the moment of inertia around the horizontal axis, cross-sections which are hollow and/or are not symmetric around the vertical axis can still be accurately modelled with this method by lumping all the widths at a given height into an equivalent section of equal area and moment of inertia (around the horizontal axis). For example:

The data matrix initially displays five rows, but the user may use as many as required. When the last row is filled, an additional row is created below it. To delete a row, merely select it by clicking on the row’s identifier ("Top", for example) and press the Delete key on your keyboard.

This section can be rotated and flipped. The red arrow representing the natural "Top" of the section is also transformed in this manner, allowing the user to clearly identify the section’s current orientation and therefore where new trapezoids will be added to the section. It is worth remembering that for "equivalent sections" such as the one described above, the rotated equivalent section will not accurately represent the true section’s moment of inertia. Equivalent sections should always be defined according to the real section’s actual orientation.

Loading Terminology

Firstly, Ftool makes use of the following terminology:

  • Loads

    A load is an external solicitation applied to a structure. Ftool offers the following types of solicitations: nodal concentrated forces and moments, member-end concentrated moments, uniformly and linearly distributed forces, thermal loads and load-trains. Each instance of a load (for example, a vertical nodal force of -10kN) can be applied to multiple elements of the structure.

    With the exception of load trains, loads are always applied within a load case. The same load may be applied in more than one load case. In such an event, however, any modification to the load will apply to all load cases. Therefore, should the user select a load that is already applied in another load case, the following warning will be displayed:

  • Load cases

    A load case is a collection of loads that always act simultaneously. For example, a building will usually have a few different load cases, such as:

    • SW: The building’s self-weight, which may collect a series of distributed loads representing the self-weight of the building’s component parts (beams, slabs, columns, etc) and concentrated loads representing the forces brought by beams perpendicular to the current plane, among others;
    • DL: Dead loads due to fittings and finishes;
    • LL: Live loads due to occupation;
    • Wi: Multiple cases for wind loads under different conditions and faces of the building;

    A model always has at least one load case and all loads are applied to the structure within the current load case. For more details, see Load Cases.

  • Load combinations

    A load combination is a collection of load cases that may act simultaneously. For example, a building may have a few different load combinations, such as:

    • The building’s self-weight, dead load and live load (SW + DL + LL), for maximum column compression;
    • Multiple combinations for the building’s self-weight, dead load and each of the wind cases (SW + DL + Wi), for maximum column bending;
    • Multiple combinations for the building’s self-weight, dead load, live load and each of the wind cases (SW + DL + LL + Wi), for maximum column combined compression and bending.

    Structural codes often require safety factors to be applied according to a load case’s classification (dead load, live load, wind load, etc). Ftool allows the user to define a multiplication factor for each of the cases in a combination (for example, 1,35 x (SW + Dl) + 1,5 x LL + 1,4 x Wi). For more details, see Load combinations.

Load Cases

This sub-menu allows the user to see the loads included in each load case. By clicking once on a specific load in the list, all elements that have the load applied are selected. By double-clicking on a load in the list, the relevant load-editing menu is opened. The user may also control which load cases are included when visualizing load case envelope results. This can be done by clicking the Envelope, checkbox, which toggles whether or not the current load case is included, or by clicking the [image] button, which opens a menu where the user can modify whether any load case is included.

Like most other menus, when visualizing results, this menu is mostly disabled. Only the Envelope checkmark and the [image] button remain active, allowing the user to select which load cases are included in the load case envelope results.

Load Combinations

This sub-menu allows the user to define load combinations. The user may add a load case by double-clicking on the Load case cell of the matrix’s first unused line, which opens a dropdown menu with all the load cases not already included in the combination. The combination then adds the selected case with a default factor of unity. This factor can be modified at any time. The format of the factor can be modified in the Units and Number Formatting window. Load cases can also be removed from a combination by selecting the desired matrix rows and pressing the Delete key on the keyboard.

As load cases are added or removed and factors are modified, the current combination’s resultant loading throughout the model is displayed on the canvas.

The user may also control which load combinations are included when visualizing combination envelope results. This can be done by clicking the Envelope checkbox, which toggles whether or not the current load combination is included, or by clicking the [image] button, which opens a menu where the user can modify whether any load combination is included.

While the other menus are disabled when visualizing results, this menu remains enabled. This allows the user to create, edit or delete load combinations while displaying results. The results are updated automatically with every modification to the combination.

The Static Loads and Load Trains Dropdowns

The dropdowns at the top-right corner of the window can be used to select the current static load (load case or combination) and load train. Depending on the situation, one, none or both of these dropdowns may be disabled.

If in the Diagram result mode but not seeing results, the static load dropdown will only list load cases. The only exception is if in the Load Combinations menu, in which case only load combinations will be listed. If seeing results, the dropdown will contain both cases and combinations.

If in the Influence Line Line result mode (whether or not seeing results), the static load dropdown is disabled and displays "NONE".

If in the Load Case Envelope or Load Combination result modes but not seeing results, the static load dropdown will only list load cases. The only exception is if in the Load Combinations, menu, in which case only load combinations will be listed. If seeing results, the dropdown will be disabled and display "Envelope".

If in the Load Train Envelope result mode but not seeing results and the Add static load results to load-train envelope option is active (see Superposition of static load and load-train results), the static load dropdown will only list load cases. The only exception is if in the Load Combinations menu, in which case only load combinations will be listed. If seeing results, the dropdown will list load cases and combinations. Whether or not seeing results, if the Add static load results to load-train envelope option is disabled, the static load dropdown will also be disabled and display "NONE".

The load train dropdown menu is only active if in the Influence Line or Load Train Envelope result modes or if in the Load Train menu. If active, it includes all the current load trains and a "NONE". If disabled, simply displays "NONE".

Load Case/Combination Result Envelopes

In the Advanced Edition, two additional result modes are added: Load case envelope and Load combination envelope. These are selected via a dropdown which also includes the standard Load train envelope mode.

The Load Case Envelope and Load Combination Envelope modes are used to display envelopes of limiting internal force values along a structure under multiple static loads. Envelopes are diagrams of minimum and maximum values of an internal force (axial, shear or bending moment) or deformed configuration for the given static loads (either load cases or combinations).

Only load cases or combinations that have been marked will be included in the envelope (see Load Cases and Load Combinations). If no case/combination is toggled to be included in the envelope, a warning will be displayed and the case/combination envelope menu will open. Should the user try to see load combination envelopes before defining any combinations, the program will display a message informing the user and the load combination menu will open.

For the deformed configuration envelope, the user must select which of the deflection components to print with the envelope: the horizontal, vertical, axial or transversal displacement. The envelope displays only the maximum and minimum values at each point for the selected component and therefore cannot be taken as representing the true deformed configuration.

Point results of static load envelopes may be obtained by just selecting a target position using the left mouse button. The minimum and maximum values at that point are shown in the top message bar.

In these modes the user may apply transformations that do not alter the structure’s topology (see Transformations). To do so, the user must open the transformations window, select the desired objects and then apply the transformations. The results are automatically updated, maintaining their scale.

Static Envelope Results

Vertical component of deformed configuration load case/combination envelope
Axial force load case/combination envelope Shear force load case/combination envelope Bending moment load case/combination envelope